CVE-2019-3826

Impact:
Moderate
Public Date:
2019-01-31
CWE:
CWE-79
Bugzilla:
1672865: CVE-2019-3826 prometheus: Stored DOM cross-site scripting (XSS) attack via crafted URL
A stored, DOM based, cross-site scripting (XSS) flaw was found in Prometheus. An attacker could exploit this by convincing an authenticated user to visit a crafted URL on a Prometheus server, allowing for the execution and persistent storage of arbitrary scripts.

Find out more about CVE-2019-3826 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

Red Hat OpenShift Container Platform 3.10:
This vulnerability is currently targeted to be addressed in an upcoming release.

Red Hat OpenShift Container Platform 3.7:
This vulnerability is currently targeted to be addressed in an upcoming release.

Red Hat OpenShift Container Platform 3.9:
This vulnerability is currently targeted to be addressed in an upcoming release.

CVSS v3 metrics

CVSS3 Base Score 6.1
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Low
Integrity Impact Low
Availability Impact None

Red Hat Security Errata

Platform Errata Release Date
Red Hat OpenShift Container Platform 3.11 (golang-github-prometheus-prometheus) RHBA-2019:0326 2019-02-20

Affected Packages State

Platform Package State
Red Hat OpenShift Container Platform 4.1 golang-github-prometheus-prometheus Not affected
Red Hat OpenShift Container Platform 3.9 golang-github-prometheus-prometheus Affected
Red Hat OpenShift Container Platform 3.7 golang-github-prometheus-prometheus Affected
Red Hat OpenShift Container Platform 3.10 golang-github-prometheus-prometheus Affected
Red Hat JBoss Fuse 7 prometheus Under investigation
Unless explicitly stated as not affected, all previous versions of packages in any minor update stream of a product listed here should be assumed vulnerable, although may not have been subject to full analysis.
Last Modified